package com.ym.mec.biz.dal.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

import com.ym.mec.common.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * 对应数据库表(vip_group_student_course_price):
 */
public class VipGroupStudentCoursePrice extends BaseEntity {

	/**  */
	private Long id;
	
	/** vip课程组编号 */
	private Long vipGroupId;
	
	/** 学员编号 */
	private Integer studentId;
	
	/** 线上课单价 */
	private java.math.BigDecimal onlineClassesUnitPrice;
	
	/** 线下课单价 */
	private java.math.BigDecimal offlineClassesUnitPrice;
	
	/** 支付价格 */
	private java.math.BigDecimal paymentPrice;

	public VipGroupStudentCoursePrice() {
	}

	public VipGroupStudentCoursePrice(Integer studentId, BigDecimal onlineClassesUnitPrice, BigDecimal offlineClassesUnitPrice) {
		this.studentId = studentId;
		this.onlineClassesUnitPrice = onlineClassesUnitPrice;
		this.offlineClassesUnitPrice = offlineClassesUnitPrice;
	}

	public VipGroupStudentCoursePrice(Integer studentId, BigDecimal onlineClassesUnitPrice, BigDecimal offlineClassesUnitPrice, BigDecimal paymentPrice) {
		this.studentId = studentId;
		this.onlineClassesUnitPrice = onlineClassesUnitPrice;
		this.offlineClassesUnitPrice = offlineClassesUnitPrice;
		this.paymentPrice = paymentPrice;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setVipGroupId(Long vipGroupId){
		this.vipGroupId = vipGroupId;
	}
	
	public Long getVipGroupId(){
		return this.vipGroupId;
	}
			
	public void setStudentId(Integer studentId){
		this.studentId = studentId;
	}
	
	public Integer getStudentId(){
		return this.studentId;
	}
			
	public void setOnlineClassesUnitPrice(java.math.BigDecimal onlineClassesUnitPrice){
		this.onlineClassesUnitPrice = onlineClassesUnitPrice;
	}
	
	public java.math.BigDecimal getOnlineClassesUnitPrice(){
		return this.onlineClassesUnitPrice;
	}
			
	public void setOfflineClassesUnitPrice(java.math.BigDecimal offlineClassesUnitPrice){
		this.offlineClassesUnitPrice = offlineClassesUnitPrice;
	}
	
	public java.math.BigDecimal getOfflineClassesUnitPrice(){
		return this.offlineClassesUnitPrice;
	}
			
	public void setPaymentPrice(java.math.BigDecimal paymentPrice){
		this.paymentPrice = paymentPrice;
	}
	
	public java.math.BigDecimal getPaymentPrice(){
		return this.paymentPrice;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
